Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class LoginLimitManager

    java.lang.Object
      org.jivesoftware.admin.LoginLimitManager

    public class LoginLimitManager

extends Object

Handles recording admin console login attempts and handling temporary lockouts where necessary.

Author:
  Daniel Henninger

Method Summary
`static LoginLimitManager` | `getInstance()` Returns a singleton instance of LoginLimitManager.
`boolean` | `hasHitConnectionLimit(String username, String address)` Returns true of the entered username or connecting IP address has hit it's attempt limit.
`void` | `recordFailedAttempt(String username, String address)` Records a failed connection attempt.
`void` | `recordSuccessfulAttempt(String username, String address)` Clears failed login attempts if a success occurs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static LoginLimitManager getInstance()

  Returns a singleton instance of LoginLimitManager.

  Returns:
    a LoginLimitManager instance.

### hasHitConnectionLimit

    public boolean hasHitConnectionLimit(String username,
                                         String address)

  Returns true of the entered username or connecting IP address has hit it's attempt limit.

  Parameters:
    `username` - Username being checked.
    `address` - IP address that is connecting.
  Returns:
    True if the login attempt limit has been hit.

### recordFailedAttempt

    public void recordFailedAttempt(String username,
                                    String address)

  Records a failed connection attempt.

  Parameters:
    `username` - Username being attempted.
    `address` - IP address that is attempting.

### recordSuccessfulAttempt

    public void recordSuccessfulAttempt(String username,
                                        String address)

  Clears failed login attempts if a success occurs.

  Parameters:
    `username` - Username being attempted.
    `address` - IP address that is attempting.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.